"damangle" <- 
# the angle of a dam side with respect to the sloping 
# terrain in the direction normal to the dam axis (alfa) computed 
# from deflecting angle with respect to the direction of steepest 
# decent in a sloping coordinate system aligned with the terrain (phi), 
# the slope of the terrain (psi), and the steepest slope of the dam side (alfas)
function(phi,psi,alfas) {
if (any(phi<0) || any(phi>pi/2)) 
   stop("phi cannot be outside the range [0,pi/2]")
if (any(psi<0) || any(psi>pi/2)) 
   stop("psi cannot be outside the range [0,pi/2]")
if (any(alfas<0) || any(alfas>pi/2)) 
   stop("alfas cannot be outside the range [0,pi/2]")
tmp <- (sin(alfas)^2-(cos(phi)*sin(psi))^2)/(cos(psi)^2+(sin(phi)*sin(psi))^2)
if (any(tmp<0)) warning("inconsistent combination of angles")
asin(sqrt(ifelse(tmp>0,tmp,0))) + atan(sin(phi)*tan(psi))
}
