\name{damangle}
\alias{damangle}

\title{Angle of a dam side with respect to the surrounding terrain}
\description{Computes the angle of a dam side with respect to the sloping, upstream surrounding terrain from deflecting angle, slope of the terrain, and the steepest slope of the dam side.
}

\usage{ 
damangle(phi,psi,alfas)
}

\arguments{
\item{phi}{deflecting angle with respect to the direction of steepest decent in a sloping coordinate system aligned with the terrain.}
\item{psi}{the slope of the terrain.}
\item{alfas}{the steepest slope of the dam side.}
}

\value{\code{damangle} returns a vector of angles subtended by the dam side with respect to the 
terrain with the same number of elements as \code{phi}, \code{psi} or \code{alfas}.
}
\author{Tomas Johannesson}

\examples{
\dontrun{
damangle(25*pi/180,10*pi/180,45*pi/180)
}
}

\note{The angle of the dam side with respect to the sloping terrain is measured in the direction normal to the dam axis in a plane normal to the upstream terrain.

The angles \code{phi}, \code{psi} and \code{alfas} are given in radians.
}

\seealso{\code{\link{vdamheight}}, \code{\link{sdamslope}}, \code{\link{phi2phi}} and \code{\link{phicontour}}.}

\keyword{math}
