\name{mxphi}
\alias{mxphi}

\title{The maximum deflecting angle of an oblique shock}
\description{Computes the deflecting and shock angles corresponding to the maximum deflecting angle that separates the weak and strong oblique shocks for a particular value of the Froude number.
}

\usage{ 
mxphi(Fr,method=c("exact","approximate"))
}

\arguments{
\item{Fr}{Froude number.}
\item{method}{method for the computation. For \code{method} = "exact", a numerical solution of the exact oblique shock relations is found. For \code{method} = "approximate", an approximate explicit solution valid for large Froude numbers is used.}
}

\value{\code{mxphi} returns returns dataframe with two column: the shock angle \code{teta}) and the deflecting angle \code{phi}. They have the same number of elements as \code{Fr}.
}
\author{Tomas Johannesson}

\examples{
\dontrun{
mxphi(7,method="exact")
}
}

\note{The returned angles \code{teta} and \code{phi} are given/returned in radians.

The approximate expression for the maximum deflecting angle, used when \code{method} = "approximate", is accurate 
to \eqn{O(Fr^{-5/2})}{O(Fr^(-5/2))}).
}

\seealso{\code{\link{obliqueshock}} and \code{\link{obliquenshock}}.}

\keyword{math}
