\name{sdamslope}
\alias{sdamslope}

\title{Steepest slope of a dam side}
\description{Computes the steepest slope of a dam side from deflecting angle, slope of the terrain, and the angle of the dam side with respect to the terrain.
}

\usage{ 
sdamslope(phi,psi,alfa)
}

\arguments{
\item{phi}{deflecting angle with respect to the direction of steepest decent in a sloping coordinate system aligned with the terrain.}
\item{psi}{the slope of the terrain.}
\item{alfa}{the angle of the dam side with respect to the sloping terrain in the direction normal to the dam axis in a plane normal to the upstream terrain.}
}

\value{\code{sdamslope} returns a vector of slopes
with the same number of elements as \code{phi}, \code{psi} or \code{alfa}.
}
\author{Tomas Johannesson}

\examples{
\dontrun{
sdamslope(25*pi/180,10*pi/180,40*pi/180)
}
}

\note{The angles \code{phi}, \code{psi} and \code{alfa} are given in radians.
}

\seealso{\code{\link{vdamheight}}, \code{\link{damangle}}, \code{\link{phi2phi}} and \code{\link{phicontour}}.}

\keyword{math}
